---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t011.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6C00, symBinAddr: 0x3500, symSize: 0x270 }
  - { offsetInCU: 0xAD9, offset: 0xAD9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x7AF70, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0xB00, offset: 0xB00, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x7CEB0, symBinAddr: 0xE280, symSize: 0x0 }
  - { offsetInCU: 0xB22, offset: 0xB22, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x7D2A0, symBinAddr: 0xE670, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x7E240, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x7E250, symBinAddr: 0xF620, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x7AAA0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xBDF, offset: 0xBDF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x7AAA4, symBinAddr: 0xC0C4, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x7AAA8, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0xC2F, offset: 0xC2F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x7AC00, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xCA8, offset: 0xCA8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x7ACB8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7ACBC, symBinAddr: 0xC18C, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x7ACC0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7ACC4, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x7ACC8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x92F8, offset: 0x92F8, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x7ACD0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9381, offset: 0x9381, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x7ACE0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x939A, offset: 0x939A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x7ACE8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x7ACF0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x93CC, offset: 0x93CC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x7ACF8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x93E5, offset: 0x93E5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x7AD00, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93FF, offset: 0x93FF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x7AD08, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7AD50, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x7ADF0, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x7AE90, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x7AE98, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x7AEA0, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0xA03E, offset: 0xA03E, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv9FindClassEPKciS1_, symObjAddr: 0x0, symBinAddr: 0x19B0, symSize: 0x100 }
  - { offsetInCU: 0xA23B, offset: 0xA23B, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x1AB0, symSize: 0x220 }
  - { offsetInCU: 0xA5B6, offset: 0xA5B6, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0xE690, symBinAddr: 0x5F70, symSize: 0x50 }
  - { offsetInCU: 0xA6D0, offset: 0xA6D0, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP10_jmethodIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x2820, symBinAddr: 0x1CD0, symSize: 0x100 }
  - { offsetInCU: 0xA8B7, offset: 0xA8B7, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP10_jmethodIDED1Ev, symObjAddr: 0x2920, symBinAddr: 0x1DD0, symSize: 0x220 }
  - { offsetInCU: 0xACF6, offset: 0xACF6, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP10_jmethodIDE17DecimalToAsciiRecEPci, symObjAddr: 0xE8C0, symBinAddr: 0x5FC0, symSize: 0x47 }
  - { offsetInCU: 0xADDC, offset: 0xADDC, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x21A0, symSize: 0x80 }
  - { offsetInCU: 0xAE71, offset: 0xAE71, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x20F0, symSize: 0xB0 }
  - { offsetInCU: 0xAECC, offset: 0xAECC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x1FF0, symSize: 0x100 }
  - { offsetInCU: 0xB15F, offset: 0xB15F, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x37D0, symBinAddr: 0x2220, symSize: 0xC0 }
  - { offsetInCU: 0xB1B1, offset: 0xB1B1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x22E0, symSize: 0x220 }
  - { offsetInCU: 0xB396, offset: 0xB396, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x2500, symSize: 0xA0 }
  - { offsetInCU: 0xB449, offset: 0xB449, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x25A0, symSize: 0x110 }
  - { offsetInCU: 0xB53F, offset: 0xB53F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x26B0, symSize: 0x150 }
  - { offsetInCU: 0xB6B7, offset: 0xB6B7, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x2800, symSize: 0x30 }
  - { offsetInCU: 0xB758, offset: 0xB758, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x2830, symSize: 0x150 }
  - { offsetInCU: 0xB950, offset: 0xB950, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x2980, symSize: 0x160 }
  - { offsetInCU: 0xBC10, offset: 0xBC10, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x54F0, symBinAddr: 0x2AE0, symSize: 0x4A0 }
  - { offsetInCU: 0xBE83, offset: 0xBE83, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x2F80, symSize: 0x1B0 }
  - { offsetInCU: 0xC09E, offset: 0xC09E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x3130, symSize: 0xA0 }
  - { offsetInCU: 0xC16D, offset: 0xC16D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x31D0, symSize: 0x20 }
  - { offsetInCU: 0xC1A4, offset: 0xC1A4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x31F0, symSize: 0x20 }
  - { offsetInCU: 0xC1DB, offset: 0xC1DB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x3210, symSize: 0x20 }
  - { offsetInCU: 0xC34A, offset: 0xC34A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x3230, symSize: 0x1A0 }
  - { offsetInCU: 0xC666, offset: 0xC666, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x33D0, symSize: 0x130 }
  - { offsetInCU: 0xC816, offset: 0xC816, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x6E70, symBinAddr: 0x3770, symSize: 0x1B0 }
  - { offsetInCU: 0xCB05, offset: 0xCB05, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x3920, symSize: 0x80 }
  - { offsetInCU: 0xCBCF, offset: 0xCBCF, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x39A0, symSize: 0x6A0 }
  - { offsetInCU: 0xD6EB, offset: 0xD6EB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE220, symBinAddr: 0x5B00, symSize: 0xB0 }
  - { offsetInCU: 0xD762, offset: 0xD762, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x4040, symSize: 0x70 }
  - { offsetInCU: 0xD84A, offset: 0xD84A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x40B0, symSize: 0xA0 }
  - { offsetInCU: 0xD955, offset: 0xD955, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x4150, symSize: 0x40 }
  - { offsetInCU: 0xDA4B, offset: 0xDA4B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x4190, symSize: 0x2B0 }
  - { offsetInCU: 0xDDF1, offset: 0xDDF1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x4440, symSize: 0xC0 }
  - { offsetInCU: 0xDF37, offset: 0xDF37, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x4500, symSize: 0x10 }
  - { offsetInCU: 0xDFF9, offset: 0xDFF9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x4510, symSize: 0x220 }
  - { offsetInCU: 0xE2F6, offset: 0xE2F6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xCE50, symBinAddr: 0x4730, symSize: 0x10 }
  - { offsetInCU: 0xE353, offset: 0xE353, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xCE60, symBinAddr: 0x4740, symSize: 0x780 }
  - { offsetInCU: 0xEBCE, offset: 0xEBCE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD5E0, symBinAddr: 0x4EC0, symSize: 0x10 }
  - { offsetInCU: 0xEC2B, offset: 0xEC2B, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xD5F0, symBinAddr: 0x4ED0, symSize: 0x1D0 }
  - { offsetInCU: 0xED2D, offset: 0xED2D, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xD7C0, symBinAddr: 0x50A0, symSize: 0x20 }
  - { offsetInCU: 0xED79, offset: 0xED79, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xD7E0, symBinAddr: 0x50C0, symSize: 0x120 }
  - { offsetInCU: 0xEEE2, offset: 0xEEE2, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xD900, symBinAddr: 0x51E0, symSize: 0xD0 }
  - { offsetInCU: 0xF001, offset: 0xF001, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xD9D0, symBinAddr: 0x52B0, symSize: 0xE0 }
  - { offsetInCU: 0xF0E2, offset: 0xF0E2, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xDAB0, symBinAddr: 0x5390, symSize: 0x20 }
  - { offsetInCU: 0xF164, offset: 0xF164, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xDAD0, symBinAddr: 0x53B0, symSize: 0x20 }
  - { offsetInCU: 0xF1D0, offset: 0xF1D0, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xDAF0, symBinAddr: 0x53D0, symSize: 0x20 }
  - { offsetInCU: 0xF231, offset: 0xF231, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xDB10, symBinAddr: 0x53F0, symSize: 0x20 }
  - { offsetInCU: 0xF292, offset: 0xF292, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xDB30, symBinAddr: 0x5410, symSize: 0x20 }
  - { offsetInCU: 0xF2F3, offset: 0xF2F3, size: 0x8, addend: 0x0, symName: _cbNewBreakpoint, symObjAddr: 0xDB50, symBinAddr: 0x5430, symSize: 0x20 }
  - { offsetInCU: 0xF354, offset: 0xF354, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xDB70, symBinAddr: 0x5450, symSize: 0x20 }
  - { offsetInCU: 0xF3D6, offset: 0xF3D6, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xDB90, symBinAddr: 0x5470, symSize: 0x20 }
  - { offsetInCU: 0xF46E, offset: 0xF46E, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xDBB0, symBinAddr: 0x5490, symSize: 0x20 }
  - { offsetInCU: 0xF4C4, offset: 0xF4C4, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xDBD0, symBinAddr: 0x54B0, symSize: 0x20 }
  - { offsetInCU: 0xF530, offset: 0xF530, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xDBF0, symBinAddr: 0x54D0, symSize: 0x20 }
  - { offsetInCU: 0xF59C, offset: 0xF59C, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xDC10, symBinAddr: 0x54F0, symSize: 0x20 }
  - { offsetInCU: 0xF603, offset: 0xF603, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xDC30, symBinAddr: 0x5510, symSize: 0x20 }
  - { offsetInCU: 0xF66A, offset: 0xF66A, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xDC50, symBinAddr: 0x5530, symSize: 0x20 }
  - { offsetInCU: 0xF6C5, offset: 0xF6C5, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xDC70, symBinAddr: 0x5550, symSize: 0x20 }
  - { offsetInCU: 0xF720, offset: 0xF720, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xDC90, symBinAddr: 0x5570, symSize: 0x20 }
  - { offsetInCU: 0xF79F, offset: 0xF79F, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xDCB0, symBinAddr: 0x5590, symSize: 0x20 }
  - { offsetInCU: 0xF7EE, offset: 0xF7EE, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xDCD0, symBinAddr: 0x55B0, symSize: 0x20 }
  - { offsetInCU: 0xF825, offset: 0xF825, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xDCF0, symBinAddr: 0x55D0, symSize: 0x20 }
  - { offsetInCU: 0xF85C, offset: 0xF85C, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xDD10, symBinAddr: 0x55F0, symSize: 0x20 }
  - { offsetInCU: 0xF89F, offset: 0xF89F, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xDD30, symBinAddr: 0x5610, symSize: 0x20 }
  - { offsetInCU: 0xF912, offset: 0xF912, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xDD50, symBinAddr: 0x5630, symSize: 0x2D0 }
  - { offsetInCU: 0xFB42, offset: 0xFB42, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE020, symBinAddr: 0x5900, symSize: 0x200 }
  - { offsetInCU: 0xFF2B, offset: 0xFF2B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE2D0, symBinAddr: 0x5BB0, symSize: 0x370 }
  - { offsetInCU: 0x1052B, offset: 0x1052B, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xE640, symBinAddr: 0x5F20, symSize: 0x40 }
...
